[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TPSCommandType

Type of SQL command

## Declaration

Source position: db.pas line 1307

`type TPSCommandType = (`
`ctUnknown,` |  | Unknown SQL type or not SQL based
`ctQuery,` |  | General SQL statement
`ctTable,` |  | Table contents (select * from table)
`ctStoredProc,` |  | Stored procedure statement
`ctSelect,` |  | SQL SELECT Statement
`ctInsert,` |  | SQL INSERT Statement
`ctUpdate,` |  | SQL UPDATE statement
`ctDelete,` |  | SQL DELETE Statement
`ctDDL` |  | SQL DDL statement
`);`

## Description

TPSCommandType is used in the IProviderSupport.PSGetCommandType call to determine the type of SQL command that the provider is exposing. It is meaningless for datasets that are not SQL based.

Documentation generated on: Feb 26 2014